Rated 5 out of 5 stars

One of the best :) Please update to 4.x!
btw, after changing max version in update by Hendrik Lipka - it works with ff4.0